<template>
  <el-tabs type="border-card" v-model="activeName" @tab-click="handleClick" >
    <el-tab-pane label="平台概况" name="app">
      <GameAppReport  v-if="activeName == 'app'" ref="app"></GameAppReport>
    </el-tab-pane>
    <el-tab-pane label="活动概况" name="act">
      <GameActReport v-if="activeName == 'act'" ref="act"></GameActReport>
    </el-tab-pane>
    <el-tab-pane label="首存活动" name="first">
      <FirstDepositReport v-if="activeName == 'first'" ref="first"></FirstDepositReport>
    </el-tab-pane>
  </el-tabs>
</template>

<script>
  import GameAppReport from './gameAppReport';
  import GameActReport from './gameActReport';
  import FirstDepositReport from './firstDepositReport';
  export default {
    components: {
        GameAppReport,GameActReport,FirstDepositReport
    },
    data(){
      return {
        activeName: 'app'
      };
    },
    mounted(){
      this.onQuery();
    },
    methods:{
      handleClick(tab, event) {
        this.activeName = tab.name;
        var that = this;
        setTimeout(function(){
          that.onQuery();
        },500);
      },

      onQuery() {
        this.$refs[this.activeName].getGameManagerList();
      },

    }
  }
</script>

<style scoped>

</style>
